Bug 6128 - extra const in parameter to check_server_referral
extra const in parameter to check_server_referral
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x86 Linux
: P3 trivial
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 15:53 UTC by Erik Hovland
Modified: 2009-06-12 04:21 UTC (History)
1 user (show)

See Also:


Attachments
removes an extra const in the parameter line (712 bytes, patch)
2009-02-19 15:54 UTC, Erik Hovland
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Hovland 2009-02-19 15:53:09 UTC
An extra const exists in the parameter of the definition of the function check_server_referral() for the key parameter. It compiles, but gcc throws an internal parse error - which means nothing except it makes the code harder to analyze by static analysis checkers (like prevent).
Comment 1 Erik Hovland 2009-02-19 15:54:34 UTC
Created attachment 3945 [details]
removes an extra const in the parameter line

Removes one of the const keywords in the 'key' parameter to match the other functions in the same file.
Comment 2 Matthias Dieter Wallnöfer 2009-03-04 03:30:06 UTC
I informed the maintainers of the KERBEROS HEIMDAL implementation.
Comment 3 Matthias Dieter Wallnöfer 2009-06-12 04:21:39 UTC
Fixed through new HEIMDAL version in SAMBA 4.